#include "cslang.h"

CSLang::CSLang()
{
  tLngHandle = 0;
}

CSLang::~CSLang()
{
  close();
}

bool CSLang::open(const char * dic_path)
{
  tLngOpen.pszSysDic = (char *) dic_path; /* ܸ켭ե̾ */
  int i;
  for ( i = 0; i < 15; i++ )
    tLngOpen.pszUserDic[ i ] = 0;	/* 桼켭ϻѤʤ */
  tLngOpen.wCharSet = LG_CODE_MS;	/* ޥեȥɷ */
  tLngOpen.wState = 0;			/* ơ򥯥ꥢ */
  iRet = ::LNG_analyzeInit ( &tLngHandle, &tLngOpen );
  if (iRet == LGERR_NOERR)
  {
    ::LNG_setSign ( tLngHandle, LG_SIGN_ON ); 
  }
  return iRet == 0;
}

bool CSLang::exec(const char * src)
{
  tLng.pszSrc = (char *) src;		        /*  оʸ */
  tLng.pszDst = 0;				/*   */
  tLng.wCnvMode = CNV_FIRST | CNV_LAST;	        /* Ѵ⡼ */
  tLng.wReserved = 0;				/* ꥶ */
  tLng.dwDstLength = 0;				/* Ϸ̤Ĺ򥯥ꥢ */
  iRet = ::LNG_analyze( tLngHandle, &tLng );
  return iRet == LGERR_NOERR;
}

char * CSLang::getResult()
{
  return tLng.pszDst;
}

bool CSLang::freeResult()
{
  ::LNG_freeMem(tLng.pszDst);
  return true;
}

bool CSLang::close()
{
  if (tLngHandle)
  {
    iRet = ::LNG_analyzeEnd ( tLngHandle );
    tLngHandle = 0;
    return iRet == LGERR_NOERR;
  }
  return true;
}  
