#ifndef _CS_PCM_H_
#define _CS_PCM_H_

/* PCM$B%P%C%U%!$N%5%$%:(B sample / 2 : sample rate = 16khz*/
/*#define PCMSIZE 1024*/
#define PCMSIZE 256

#include "driverpcm.h"
#include <synthe.h>


class CSPCM {
  char * pcPcmBuf;		/* PCM$B%P%C%U%!(B */
  SYNHANDLE SynHandle;		/* $BGH7A=hM}%i%$%V%i%j%O%s%I%k(B */
  DriverPCM *driver_pcm;
 public:
  CSPCM();
  ~CSPCM();
  bool open(const char * dic_name, const char * pcm_device, int speed);
  void close();
  void setSpeedRate(int speed=5); // 0-9
  void setSpeed(int speed=5); // 0:slow, 9:hi speed
  bool say(const char *msg, int msg_len);
};
#endif /* _CS_PCM_H_ */

