// $Id: main.cpp,v 1.1.1.1 2004/05/09 03:04:09 tkudou Exp $

#include "canfep_cnf.h"
#include "pty.h"
#include "canna.h"

#ifdef WITH_IPCIF
#include "ipcif.h"
#include "ipcifcmd.h"
#endif /* WITH_IPCIF */

int main(int ac, char** av)
{
  char* amsg = "CANFEP version 1.0 by Nozomu Kobayashi.\nToggleKey=^O\n";
  char* emsg = "CANFEP done!!\n";

#ifdef WITH_IPCIF
  ipcif_initialize();
#endif /* WITH_IPCIF */

  Canna canna(ac, av, amsg, emsg);
  canna.loop();

#ifdef WITH_IPCIF
  ipcif_finalize(IPCIF_False);
#endif /* WITH_IPCIF */

  return 0;
}
