/* $Id: dummysrv.c,v 1.1.1.1 2004/05/09 03:04:09 tkudou Exp $ */
/* dummy ipcif message server */

#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <time.h>

#define WITH_IPCIF
#include "ipcif.h"

void
putdata(unsigned char* s, int len)
{
  while (len > 0) 
  {
    if (*s < ' ')
    {
      printf("<%02X>", *s);
    }
    else
    {
      fwrite(s, 1, 1, stdout);
    }
    s++;
    len--;
  }
}

int
main()
{
  struct timespec t;
  t.tv_sec = 0;
  t.tv_nsec = 100000; /* 100 mSec */

  ipcif_initialize();
  
  for (;;)
  {
    IPCIF_Msg* msg;
    while ((msg = ipcif_readMsg()) == 0)
    {
      nanosleep(&t, NULL);
    }
    printf("cmd_no:%d sender:%d cmd_data_length:%d [",
	   msg->cmd_no, msg->sender, msg->cmd_data_length);
//    fwrite(msg->cmd_data, strlen(msg->cmd_data), 1, stdout);
    putdata(msg->cmd_data, msg->cmd_data_length);
    printf("]\n");
    fflush(stdout);
    ipcif_deleteMsg(msg);
  }

  ipcif_finalize(IPCIF_False);
}
