#ifndef _KSYOUSAI_H_
#define _KSYOUSAI_H_

#include <string>

typedef std::basic_string<char, std::char_traits<char> , std::allocator<char> > EucString;

#define INTERNAL_DATA 1

#ifdef INTERNAL_DATA
struct YomiItem 
{
  char * kanji;
  char * yomi_short;
  char * yomi_long1;
//  char * yomi_long2;
};
#endif /* INTERNAL_DATA */


class KanjiSyousaiYomi
{
  int syousai_item;
#ifdef INTERNAL_DATA
  EucString outbuf;
#else
  struct YomiItem
  {
    EucString * kanji;
    EucString * yomi_short;
    EucString * yomi_long1;
    EucString * yomi_long2;
  };
  YomiItem * yomi_item;
#endif /* INTERNAL_DATA */
 public:
  KanjiSyousaiYomi();
  ~KanjiSyousaiYomi();
  EucString * yomiconv(const EucString * src);
};

#endif /* _KSYOUSAI_H_ */
