#ifndef _SYOUSAI_H_
#define _SYOUSAI_H_

#include "ksyousai.h"
enum CharType
{
  CharType_UNDEF,				// 
  CharType_ANK_UPCASE_ALPHA,
  CharType_ANK_DOWNCASE_ALPHA,
  CharType_ANK_KANA,
  CharType_ANK_NUM,
  CharType_ANK_SYM,
  CharType_KANJI,
  CharType_ZEN_HIRA,
  CharType_ZEN_KANA,
  CharType_ZEN_UPCASE_ALPHA,
  CharType_ZEN_DOWNCASE_ALPHA,
  CharType_ZEN_SYM,
  CharType_ZEN_NUM
};


class SyousaiYomi : KanjiSyousaiYomi
{
  CharType s_c_type;
  CharType getCtype(int h, int l);
  void modeChange(CharType new_type);
  void convertKanaToHira(EucString * src);
  
  EucString out;
 public:
  SyousaiYomi();
  ~SyousaiYomi();
  const EucString * yomiconv(const EucString * src);
};

#endif /* _SYOUSAI_H_ */
