#ifndef _CS_DRIVER_H_
#define _CS_DRIVER_H_
#include "cslang.h"   // fujisu lang
#include "cspcm.h"    // sujisu pcm make
#include <string.h>

typedef unsigned char UInt8;

class CSDriver {
  CSPCM *speak;
  CSLang *lang;
 public:
  CSDriver();
  ~CSDriver();
  void open(const char * lang_dic, const char * pcm_dic, const char * pcm_device, int speed);
  void say(const char *msg);
  void eucToSjis(UInt8 * s, int len, UInt8 * o);
  void sayEuc(const char *msg, int len);
  void eucToSjis(UInt8 * s, UInt8 * o);
};

#endif  /* _CS_DRIVER_H_ */
