#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <unistd.h>
#include <fcntl.h>
#include <termios.h>
#include <stdio.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/soundcard.h>
#include <fcntl.h>


#define  DSP_IN    "/dev/dsp"
#define  DSP_OUT   "/dev/dsp"


main(int argc, char **argv)
{
  int sound_card;
  unsigned  char s[50];
  unsigned int output_data;
  int parm,status,bits,sampling;
  FILE * r_file;

  if ((sound_card = open(DSP_IN, O_WRONLY)) < 0) {
    perror(DSP_IN);
    exit(1);
  }

  /* set mono */
  parm = 1;           //0 is mono. 1 is streo.
  status = ioctl(sound_card , SNDCTL_DSP_STEREO, &parm);
  
  if (status < 0) {
    perror("error from sound device ioctl");
    exit(-1);
  }
  parm = 2;
  status = ioctl(sound_card , SOUND_PCM_WRITE_CHANNELS, &parm);
 
 /*set 8bit sampling  */
  bits = 16;
  status = ioctl(sound_card, SOUND_PCM_WRITE_BITS, &bits);
  if (status < 0) {
    perror("error from sound device ioctl");  
    exit(1);
  }
  int arg = 16;      /* sample size */
  status = ioctl(sound_card, SOUND_PCM_WRITE_BITS, &arg);

  /* set 16000Hz(16khz) sampling rate */
  sampling = 16000;
  status = ioctl(sound_card , SOUND_PCM_WRITE_RATE, &sampling);
  if (status < 0) {
    perror("error from sound device ioctl");
  
    exit(1);
  }
  r_file = fopen(argv[1], "rb");
  if (r_file==0) {
    fprintf(stderr, "can't open file.\n");
    exit(1);
  }
  fseek(r_file, 0, SEEK_END);
  long len = ftell(r_file);
  fseek(r_file, 0, SEEK_SET);
  printf("len = %ld", len);
  char * p = (char *)malloc(len);
  char * p2 = (char *) malloc(len*2);
  long sz = fread(p, sizeof(unsigned char), len, r_file);
  long c = len/2;
  short int *src = (short int*) p;
  short int *dst = (short int*)p2;
  while (c--)
    {
      *dst++ = *src;
      *dst++ = *src++;
    }
  write( sound_card ,p2 , len*2);
  fclose(r_file);
}

