/*
 * test4
 *
 * This file has some test codes for the semaphore.
 *
 * $Id: test4.c,v 1.1.1.1 2004/05/09 03:04:09 tkudou Exp $
 */

#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>

#define WITH_IPCIF
#include "ipcif.h"

#define TEST_HOLD_IMP
#include "test.h"

void
test1()
{
  IPCIF_Bool ret;
  
  printf(".");
  fflush(stdout);
  ret = ipcif_hasLockP();
  SHOULD_BE_FALSE(ret);

  printf(".");
  fflush(stdout);
  ipcif_lockSemaphore();
  ret = ipcif_hasLockP();
  SHOULD_BE_TRUE(ret);

  printf(".");
  fflush(stdout);
  ipcif_unlockSemaphore();
  ret = ipcif_hasLockP();
  SHOULD_BE_FALSE(ret);

  printf("\n");
  fflush(stdout);
}

int
main()
{
  test_initialize();
  ipcif_initialize();
  test1();
  ipcif_finalize(IPCIF_True);
  test_show_result();
  return test_get_assert_number();
}

